---
schema_version: "1"
id: 7d67409bdc6f0facf64b645fa8c9aa1c03e701a5231741c1b5e633b5e2109fa0
title: GET /interaction/v1/interactions/journeyhistory/freshness
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getJourneyHistoryDownloadFreshness.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getJourneyHistoryDownloadFreshness.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 68aa0fe23ca99e08540c845237e9526770c7f7f47523b7b73822d33d729d6762
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /interaction/v1/interactions/journeyhistory/freshness

Provides an estimate of the amount of time that journey history events trail behind actual journey events.

## Usage

To obtain a journey freshness estimate, send a GET request to the `/interaction/v1/interactions/journeyhistory/freshness` endpoint.

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions/journeyhistory/freshness
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response includes the amount of time in seconds that journey history events trail behind actual events. For example, this response indicates that results trail actual events by 1200 seconds, or 20 minutes. If a subscriber entered a journey 30 minutes ago and exited it 10 minutes ago, you can only retrieve a partial history of the journey activities the subscriber completed.

```
HTTP/1.1 200
{
  "secondsBehind" : 1200
}
```
